Name:		maven-wagon-ahc
Version:	1.2.1
Release:	2%{?dist}
Summary:	A wagon provider for HTTP transfers

Group:		Development/Libraries
License:	EPL
URL:		http://www.sonatype.com

# git clone git://github.com/sonatype/wagon-ahc.git
# git archive --format=tar --prefix=maven-wagon-ahc-1.2.1/ wagon-ahc-1.2.1 | xz > maven-wagon-ahc-1.2.1.tar.xz
Source0:	%{name}-%{version}.tar.xz
Source1:	http://www.eclipse.org/legal/epl-v10.html
Source2:	http://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:	noarch

BuildRequires:	animal-sniffer
BuildRequires:	async-http-client
BuildRequires:	easymock2
BuildRequires:	forge-parent
BuildRequires:	java-devel
BuildRequires:	jpackage-utils
BuildRequires:	junit
BuildRequires:	maven
BuildRequires:	maven-compiler-plugin
BuildRequires:	maven-jar-plugin
BuildRequires:	maven-javadoc-plugin
BuildRequires:	maven-resources-plugin
BuildRequires:	maven-surefire-plugin
BuildRequires:	maven-wagon
BuildRequires:	plexus-container-default
BuildRequires:	plexus-utils

Requires:	async-http-client
Requires:	java
Requires:	jpackage-utils
Requires:	maven-wagon
Requires:	plexus-utils


%description
A wagon provider for HTTP transfers based on the async-http-client.

%package javadoc
Summary:	Javadocs for %{name}
Group:		Documentation
Requires:	jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

find -name '*.class' -delete
find -name '*.jar' -delete

cp %{SOURCE1} .

%build
# we don't have all test deps, so tests fail
mvn-rpmbuild package javadoc:aggregate -Dmaven.test.skip=true

%install

install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
cp -p target/wagon-ahc-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# POMs
install -d -m 0755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -p -m 0644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_javadir}/*
%doc epl-v10.html
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 10 2012 Gerard Ryan <galileo@fedoraproject.org> - 1.2.1-1
- Initial package.
